Subject: Re: bug#57212: 29.0.50; [PATCH] Citizen's arrest of end-of-defun-moves-to-eol

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 15 Aug 2022 09:06:29 +0200

[email-masked] writes:

> -(defvar end-of-defun-moves-to-eol t
> -  "Whether `end-of-defun' moves to eol before doing anything else.
> -Set this to nil if this movement adversely affects the buffer's
> -major mode's decisions about context.")

I'm not much in favour of this variable either, but it fixes a real
problem (that end-of-defun is basically misdesigned -- we move point
before end-of-defun-function, which is just way too DWIM and doesn't
allow you to make end-of-defun-function behave).

A complete redesign would have been better, but I think we're not going
to do that, so I'm closing this bug report.